    One-dimensional step function.

steplo1d

The model is flat below xcut , where it is set to the ampl

parameter, and zero above this.

>>> create_model_component("steplo1d", "mdl")
>>> print(mdl)

Create a component of the steplo1d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.xcut thawed 0 -3.40282e+38 3.40282e+38 mdl.ampl thawed 1 0 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
xcut
The position of the step.
ampl
The amplitude of the step.

Notes

The functional form of the model for points is:

f(x) = ampl if x <= xcut = 0 otherwise

and for an integrated grid it is:

f(xlo,xhi) = ampl * (xhi - xlo) if xhi <= xcut = ampl * (xcut - xlo) if xlo <= xcut and xhi > xcut = 0 if xlo > xcut

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023